/*==============================================================*/
/* EGUI library 						*/
/*								*/
/* AUTHOR:	Gabor Nagy					*/
/* DATE:	1995-Nov-22 21:50:09				*/
/*								*/
/* Copyright (C) 1995 By Gabor Nagy. All rights reserved.	*/
/*==============================================================*/

#ifndef _EGUIFSBox_h
#define _EGUIFSBox_h

#include <EGUI/Dialog.h>
#include <EDir.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


typedef struct
{
 int	reason;
} EguiFileSelBoxCallbackStruct;


extern EguiItem		EGUI_VaCreateFileSelDialog(int LType, ...);

extern char*	EGUIFSBox_GetFile(EguiItem LDialog);
extern void	EGUIFSBox_SetFile(EguiItem LDialog,char* LFileName);
extern int	EGUIFSBox_GetSelectedFiles(EguiItem LDialog, char*** LListRet, EBool LFullPaths);

extern Widget	EGUI_FSBoxGetChild(EguiItem LDialog, int LChild);

extern EguiItem	EGUI_VaPopupFileSelDialog(int LType, EdFSDialogGrpID LFileSelGroupID, int LFileSelID, ...);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration which encloses file.
#endif

#endif	// _EGUIFSBox_h
